%define anolis_release 1
%global pypi_name av
%global pypi_version 11.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Pythonic bindings for FFmpeg's libraries

License:        BSD
URL:            https://github.com/PyAV-Org/PyAV
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(cython)
BuildRequires:  ffmpeg-devel ffmpeg

%description
PyAV is a Pythonic binding for the FFmpeg libraries. We aim to provide all of the power and control 
of the underlying library, but manage the gritty details as much as possible.

PyAV is for direct and precise access to your media via containers, streams, packets, codecs, and 
frames. It exposes a few transformations of that data, and helps you get your data to/from other 
packages (e.g. Numpy and Pillow).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
Requires:       ffmpeg
%description -n python3-%{pypi_name}
PyAV is a Pythonic binding for the FFmpeg libraries. We aim to provide all of the power and control 
of the underlying library, but manage the gritty details as much as possible.

PyAV is for direct and precise access to your media via containers, streams, packets, codecs, and 
frames. It exposes a few transformations of that data, and helps you get your data to/from other 
packages (e.g. Numpy and Pillow).

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt docs/development/license.rst
%doc README.md
%{_bindir}/pyav
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 09 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 11.0.0-1
- Initial package.